#!/bin/bash

accelerate launch --config_file configs/accelerate_configs/deepspeed_zero2.yaml train.py \
    --dataset_name OCR-VQA-200K \
    --use_peft \
    --peft_type MMOELORA \
    --model_name_or_path Qwen/Qwen2-VL-7B-Instruct \
    --lora_target_modules q_proj v_proj \
    --per_device_train_batch_size 1 \
    --per_device_eval_batch_size 2 \
    --attn_implementation flash_attention_2 \
    --gradient_accumulation_steps 16 \
    --output_dir checkpoint/sft-llava-1.5-7b-hf \
    --bf16 \
    --torch_dtype bfloat16
